Статья создана
🚧 [Experimental] Get bucket object metadata
Returns the size and last modification time of an object in the cloud environment storage bucket.
Request
POST
https://api.datalens.tech/rpc/getBucketObjectMetadata
Headers
|
Name |
Description |
|
x-dl-api-version |
Type: string API version header. Const: Example: |
Body
application/json
{
"cloudEnvironmentId": "example",
"path": "example"
}
|
Name |
Description |
|
cloudEnvironmentId |
Type: string ID of the cloud environment that owns the storage bucket. Min length: Max length: Example: |
|
path |
Type: string Path of the object in the storage bucket. Must not exceed 1024 UTF-8 bytes or contain control characters. Min length: Example: |
Responses
200 OK
Response
Body
application/json
{
"size": "example",
"lastModified": {
"seconds": "example",
"nanos": 0.5
}
}
|
Name |
Description |
||||
|
size |
Type: string Size of the object in bytes. Example: |
||||
|
lastModified |
Type: object
Time when the object was last modified. Example
|